package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 随访计划表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_plan")
public class FollowUpPlan extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7670818472000164717L;

	// 计划标识
	private String code;
	// 标题/随访计划名称
	private String title;
	// 医生标识
	private String doctor;
	// 医生姓名
	private String doctorName;
	// 三师团队标识
	private String team;
	// 患者标识
	private String patient;
	// 患者姓名
	private String patientName;
	// 计划状态：-1暂停，0进行中，1已结束
	private Integer status;
	// 总问卷随访数
	private Integer wjAmount;
	// 已完成问卷随访数
	private Integer wjFinishAmount;
	// 总体测随访数
	private Integer tcAmount;
	// 已完成体测随访数
	private Integer tcFinishAmount;
	// 添加时间
	private Date czrq;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name = "doctor_name")
	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	public String getTeam() {
		return team;
	}

	public void setTeam(String team) {
		this.team = team;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	@Column(name = "patient_name")
	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	@Column(name = "wj_amount")
	public Integer getWjAmount() {
		return wjAmount;
	}

	public void setWjAmount(Integer wjAmount) {
		this.wjAmount = wjAmount;
	}

	@Column(name = "wj_finish_amount")
	public Integer getWjFinishAmount() {
		return wjFinishAmount;
	}

	public void setWjFinishAmount(Integer wjFinishAmount) {
		this.wjFinishAmount = wjFinishAmount;
	}

	@Column(name = "tc_amount")
	public Integer getTcAmount() {
		return tcAmount;
	}

	public void setTcAmount(Integer tcAmount) {
		this.tcAmount = tcAmount;
	}

	@Column(name = "tc_finish_amount")
	public Integer getTcFinishAmount() {
		return tcFinishAmount;
	}

	public void setTcFinishAmount(Integer tcFinishAmount) {
		this.tcFinishAmount = tcFinishAmount;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
